import request from '@/utils/request'

// 查询充值配置列表
export function listGoods(query) {
  return request({
    url: '/cai/goods/list',
    method: 'get',
    params: query
  })
}

// 查询充值配置详细
export function getGoods(id) {
  return request({
    url: '/cai/goods/' + id,
    method: 'get'
  })
}

// 新增充值配置
export function addGoods(data) {
  return request({
    url: '/cai/goods',
    method: 'post',
    data: data
  })
}

// 修改充值配置
export function updateGoods(data) {
  return request({
    url: '/cai/goods',
    method: 'put',
    data: data
  })
}

// 删除充值配置
export function delGoods(id) {
  return request({
    url: '/cai/goods/' + id,
    method: 'delete'
  })
}
